=== debian/control ===
Source: kf6-kdav
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kdav
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdav
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdav.git
Rules-Requires-Root: no

Package: libkf6dav-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: DAV protocol implementation with KJobs - arch independent files
 A DAV protocol implementation with KJobs.
 .
 This package contains the arch independent files to work with KDav.
 .
 This package is part of KDE Frameworks 6.

Package: libkf6dav-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6dav6 (= ${binary:Version}),
         libkf6i18n-dev (>= 6.3.0~),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Description: DAV protocol implementation with KJobs - development files
 A DAV protocol implementation with KJobs.
 .
 This package contains the development files to work with KDav.
 .
 This package is part of KDE Frameworks 6.

Package: libkf6dav-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: DAV protocol implementation with KJobs - documentation
 A DAV protocol implementation with KJobs.
 .
 This package contains the qch documentation files.
 .
 This package is part of KDE Frameworks 6.

Package: libkf6dav6
Architecture: any
Multi-Arch: same
Depends: libkf6dav-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: DAV protocol implementation with KJobs
 A DAV protocol implementation with KJobs.
 .
 This package contains the shared library.
 .
 This package is part of KDE Frameworks 6.
