=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kdav
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Sandro Knauß <hefee@debian.org>,
@@ -10,18 +11,18 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6kio-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kdav
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdav
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdav.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdav
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdav
 Rules-Requires-Root: no
 
 Package: libkf6dav-data
@@ -40,7 +41,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6dav6 (= ${binary:Version}),
-         libkf6i18n-dev (>= 6.3.0~),
+         libkf6i18n-dev (>= 6.6.0~),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Description: DAV protocol implementation with KJobs - development files
