=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                kio6 <!nocheck>,
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6kio-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
+               libkf6kio-dev (>= 6.11.0~),
                qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
@@ -41,7 +41,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6dav6 (= ${binary:Version}),
-         libkf6i18n-dev (>= 6.10.0~),
+         libkf6i18n-dev (>= 6.11.0~),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Description: DAV protocol implementation with KJobs - development files
