=== debian/control ===
--- 
+++ 
@@ -1,28 +1,28 @@
 Source: kf6-kdav
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6coreaddons-dev (>= 6.12.0~),
-               libkf6i18n-dev (>= 6.12.0~),
-               libkf6kio-dev (>= 6.12.0~),
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               extra-cmake-modules (>= 6.13.0~),
+               kio6 <!nocheck>,
+               libkf6coreaddons-dev (>= 6.13.0~),
+               libkf6i18n-dev (>= 6.13.0~),
+               libkf6kio-dev (>= 6.13.0~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kdav
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdav
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdav
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdav
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdav.git
 Rules-Requires-Root: no
 
 Package: libkf6dav-data
@@ -41,7 +41,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6dav6 (= ${binary:Version}),
-         libkf6i18n-dev (>= 6.12.0~),
+         libkf6i18n-dev (>= 6.13.0~),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Description: DAV protocol implementation with KJobs - development files
