=== debian/control ===
Source: kf6-kdav
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kbookmarks-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kwidgetsaddons-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kdav.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kdav
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kdav
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6dav-data, libkf6dav-doc, libkf6dav6
Description: DAV protocol implementation with KJobs - arch independent files
 A DAV protocol implementation with KJobs.
 .
 This package contains the arch independent files to work with KDav.

Package: kf6-kdav-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kcoreaddons-dev,
         kf6-kdav (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6dav-dev
Description: DAV protocol implementation with KJobs - developer files
 A DAV protocol implementation with KJobs.

Package: libkf6dav-data
Architecture: all
Depends: kf6-kdav, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6dav-doc
Architecture: all
Depends: kf6-kdav, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6dav6
Architecture: all
Depends: kf6-kdav, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6dav-dev
Architecture: all
Depends: kf6-kdav-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
