=== debian/changelog ===
kf6-kdav (6.18.0+p24.04+vstable+git20250926.0932-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:32:56 +0000

kf6-kdav (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 12:40:34 +0000
